#include "rkcommon/math/vec.h"
#include "BenchA.h"
#include <CL/sycl.hpp>
using namespace rkcommon::math;

BenchA::BenchA(){
	myarray = cl::sycl::malloc_shared<int16_t>(100*sizeof(int16_t), q_);;
}


BenchA::~BenchA(){
	sycl::free(myarray, q_);
}

void BenchA::submit_kernel(){
	q_.submit([&](cl::sycl::handler& cgh) {
		cgh.parallel_for<class myKernel>(
			cl::sycl::range<1>{100},
					[=](sycl::id<1> gid) {
					int i = gid.get(0);
		});
	});
}