#include "rkcommon/math/vec.h"
#include "BenchA.h"
#include <omp.h>
using namespace rkcommon::math;

BenchA::BenchA(){
	myarray =  (float*) malloc(1000 * sizeof(float));
}


BenchA::~BenchA(){
	free(myarray);
}

void BenchA::init_array(){
	#pragma omp parallel for
	for (int i = 0; i < 1000; i++){
		myarray[i] = 1;
	}
}